Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-8617

cannot customize security group to launch slaves into

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Fixed
    • Component/s: ec2-plugin
    • Labels:
      None
    • Similar Issues:

      Description

      It's slightly inconvenient to have to use the 'default' security group for our slaves.

      It's only slightly inconvenient, but it seems that this should be pretty easy to fix, too. I may even try myself!

        Attachments

          Activity

          Hide
          scm_issue_link SCM/JIRA link daemon added a comment -

          Code changed in jenkins
          User: Francis Upton
          Path:
          pom.xml
          src/main/java/hudson/plugins/ec2/SlaveTemplate.java
          src/main/resources/hudson/plugins/ec2/SlaveTemplate/config.jelly
          src/test/java/hudson/plugins/ec2/SlaveTemplateTest.java
          src/test/java/hudson/plugins/ec2/TemplateLabelsTest.java
          http://jenkins-ci.org/commit/ec2-plugin/543777c6f79adaf243df931bfffda6d3a86ca5f7
          Log:
          Merge pull request #18 from yyuu/master

          JENKINS-8617 cannot customize security group to launch slaves into

          Compare: https://github.com/jenkinsci/ec2-plugin/compare/d96e049...543777c

          Show
          scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: Francis Upton Path: pom.xml src/main/java/hudson/plugins/ec2/SlaveTemplate.java src/main/resources/hudson/plugins/ec2/SlaveTemplate/config.jelly src/test/java/hudson/plugins/ec2/SlaveTemplateTest.java src/test/java/hudson/plugins/ec2/TemplateLabelsTest.java http://jenkins-ci.org/commit/ec2-plugin/543777c6f79adaf243df931bfffda6d3a86ca5f7 Log: Merge pull request #18 from yyuu/master JENKINS-8617 cannot customize security group to launch slaves into Compare: https://github.com/jenkinsci/ec2-plugin/compare/d96e049...543777c
          Hide
          francisu Francis Upton added a comment -

          Thanks for your contribution Yuu.

          I committed this, but I'm concerned about the the commit that changes the required version to 1.462; I think that 1.399 should be fine (certain for this work), unless something else has changed. If you agree can you provide another pull request to fix the version back?

          Show
          francisu Francis Upton added a comment - Thanks for your contribution Yuu. I committed this, but I'm concerned about the the commit that changes the required version to 1.462; I think that 1.399 should be fine (certain for this work), unless something else has changed. If you agree can you provide another pull request to fix the version back?
          Hide
          francisu Francis Upton added a comment -

          Sorry for the spam, I fixed the version thing.

          Show
          francisu Francis Upton added a comment - Sorry for the spam, I fixed the version thing.
          Hide
          francisu Francis Upton added a comment -

          Thanks for your contribution!

          Show
          francisu Francis Upton added a comment - Thanks for your contribution!
          Hide
          yyuu Yuu Yamashita added a comment -

          > I committed this, but I'm concerned about the the commit that changes the required version to 1.462; I think that 1.399 should be fine (certain for this work), unless something else has changed. If you agree can you provide another pull request to fix the version back?

          Thanks for merging.

          I'm agree to rollback Jenkins to 1.399.
          There's no special reason to upgrade Jenkins to 1.462.
          I just thought newer Jenkins must be greater

          Show
          yyuu Yuu Yamashita added a comment - > I committed this, but I'm concerned about the the commit that changes the required version to 1.462; I think that 1.399 should be fine (certain for this work), unless something else has changed. If you agree can you provide another pull request to fix the version back? Thanks for merging. I'm agree to rollback Jenkins to 1.399. There's no special reason to upgrade Jenkins to 1.462. I just thought newer Jenkins must be greater

            People

            • Assignee:
              yyuu Yuu Yamashita
              Reporter:
              mwhudson mwhudson
            • Votes:
              1 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: